﻿#region

using Styx;
using Styx.CommonBot;

#endregion

namespace PvPRogue.Spec.Subtlety.Spells
{
    public static class Hemo
    {
        public static bool CanRun
        {
            get
            {
                if (!StyxWoW.Me.IsWithinMeleeRange) return false;
                if (StyxWoW.Me.IsStealthed) return false;
                    

                if (
                    !StyxWoW.Me.CurrentTarget.HasAura("Hemorrhage") &&
                    SpellManager.CanCast("Hemorrhage") 
                    ) return true;

                if (
                    !SpellManager.CanCast("Backstab") &&
                    SpellManager.CanCast("Hemorrhage") 
                    ) return true;

               

                return false;
            }
        }


        public static bool Run()
        {
            Combat._LastMove = "Sinister Strike";
            return Spell.Cast("Sinister Strike", StyxWoW.Me.CurrentTarget);

        }
    }
}