﻿#region

using Styx;
using Styx.WoWInternals;

#endregion

namespace PvPRogue.Spec.Subtlety.Spells
{
    public static class Ambush
    {
        public static bool CanRun
        {
            get
            {
                if (
                    StyxWoW.Me.HasAura("Shadow Dance") &&
                    StyxWoW.Me.CurrentTarget.IsWithinMeleeRange &&
                    StyxWoW.Me.CurrentTarget.MeIsSafelyBehind
                    ) return true;

                // Incase we get behind em! ambush the kunts!
                if (
                    StyxWoW.Me.HasAura("Stealth") &&
                    StyxWoW.Me.CurrentTarget.IsWithinMeleeRange &&
                    StyxWoW.Me.CurrentTarget.MeIsSafelyBehind
                    ) return true;

                return false;
            }
        }

        public static bool Run()
        {
            Combat._LastMove = "Ambush";
            return Spell.Cast("Ambush", StyxWoW.Me.CurrentTarget);
        }
    }
}