﻿#region

using Styx;
using Styx.CommonBot;

#endregion

namespace PvPRogue.Spec.Subtlety.Spells
{
    public static class MainMove
    {
        public static string GetName
        {
            // Hemorrhage - [Sub Spec] [ infront ] - Must have up at all times
            // Backstab - 18 [ Behind ]
            // Sinister Strike - lowbie 
            get
            {
                // Frame lock it, as we are calling CanCast.
                // First check if we need to re-apply the bleed

                // Behind Check
                if (Spell.HasCanSpell("Backstab") && StyxWoW.Me.CurrentTarget.MeIsSafelyBehind)
                    return "Backstab";

                if (SpellManager.HasSpell("Backstab") && StyxWoW.Me.CurrentTarget.MeIsSafelyBehind) return "";


                // Last resort is Sinister Strike
                return "Sinister Strike";
            }
        }
    }
}