﻿#region

using System;
using System.Diagnostics;
using Styx;
using Styx.CommonBot;

#endregion

namespace PvPRogue.Utils
{
    internal class PlayerFlee
    {
        private static ulong _FleeGUID;
        private static readonly Stopwatch _FleeSW = new Stopwatch();

        public static bool IsFleeing
        {
            get
            {
                // Movement Checker
                if (!ClassSettings._Instance.GeneralMovement) return false;

                if (StyxWoW.Me.CurrentTarget.Guid == _FleeGUID)
                {
                    // If we close enough just reset everything
                    if (StyxWoW.Me.CurrentTarget.IsWithinMeleeRange)
                    {
                        _FleeGUID = 0;
                        _FleeSW.Reset();
                        return false;
                    }

                    // Blacklist these noobs.
                    if (_FleeSW.Elapsed.Seconds > 15)
                    {
                        //Blacklist.Add(StyxWoW.Me.CurrentTarget.Guid, TimeSpan.FromMinutes(1));
                        Blacklist.Add(StyxWoW.Me.CurrentTarget.Guid, BlacklistFlags.All, TimeSpan.FromMinutes(1), "Fleeing...");
                    }

                    // If we been chasing for 5 secs return his running
                    if (_FleeSW.Elapsed.Seconds >= 3)
                    {
                        Log.Write("->Enemy Fleeing");
                        return true;
                    }
                }
                else
                {
                    _FleeGUID = StyxWoW.Me.CurrentTarget.Guid;
                    _FleeSW.Reset();
                    _FleeSW.Start();
                }
                return false;
            }
        }
    }
}